# BASED ON PYPLACE - PRETTY MUCH COMPLETE

import gfx

DEBUG = True


def load():
    wpix = {}
    
    stem_list = ["bluearrowDIR8", "redarrowDIR8"]
    
    for stem in stem_list:
        name_list = []
        if stem.endswith("DIR8"):
            use_stem = stem[:-4]
            for direction in ["U", "UR", "R", "DR", "D", "DL", "L", "UL"]:
                name_list.append(use_stem + direction)
        elif stem.endswith("DIR4"):
            use_stem = stem[:-4]
            for direction in ["UR", "DR", "DL", "UL"]:
                name_list.append(use_stem + direction)
        
        for name in name_list:
            if DEBUG: print "LOADING", name
            
            for img_num in range(3):
                file_stem = name + "_" + str(img_num)
                file_name = file_stem + ".png"
                
                wpix[file_stem] = gfx.load(file_name, "DATA/widgets", tile=False)

    return wpix