import gfx
from gameobj import ImagedObject



class Background(ImagedObject):


    default_data = {}

    
    def init_data(self):
        pass


    def load_graphics(self):
        self.pix["L0_loading"] = gfx.load("L0_LoadingPleaseWait.jpg", self.path, tile=False)
        self.pix["L1_loading"] = gfx.load("L1_loadingPleaseWait.jpg", self.path, tile=False)
        self.pix["L1_instructions"] = gfx.load("L1_instructions.jpg", self.path, tile=False)
        self.pix["L1_game"] = gfx.load("L1_game.jpg", self.path, tile=False)
    

OBJECTS = {
    "background": Background,
}

