## BASED ON PYPLACE - THIS FILE IS PROBABLY COMPLETE

"""
Data file access layer.
"""


import sys
import os.path
import fnmatch
from distutils.util import convert_path

DEBUG = True

basepath = os.path.join(os.path.split(__file__)[0], "DATA")


def name(filename, path=None):
    convertfile = convert_path(filename)
    if path:
        return os.path.join(path, convertfile)
    else:
        return os.path.join(basepath, convertfile)


def _find_walk(arg, directory, files):
    pattern, filelist = arg
    for filename in files:
        if fnmatch.fnmatchcase(filename, pattern):
            filelist.append(os.path.join(directory, filename))


def find(wildcard, base=basepath):
    if DEBUG: print "data.find", wildcard, base
    
    if base is not basepath:
        base = name(base)
    matches = []
    os.path.walk(base, _find_walk, (wildcard, matches))
    return matches
    

def fetch_objects(filename):
    path, mod = os.path.split(filename)
    sys.path.append(path)
    code = __import__(os.path.splitext(mod)[0])
    objs = getattr(code, "OBJECTS", [])
    if DEBUG: print "OBJECTS FOUND", objs
    for name, obj in objs.items():
        obj.path = path
        obj.name = name
    del sys.path[-1]
    return objs