# BASED ON PYPLACE - NOT COMPLETE

import pygame.time



class Clock:


    def __init__(self, desired_fps=30, do_report=False):

        self.do_report = do_report
        self.frame_count = 0
        self.frame_timer = pygame.time.get_ticks()
        self.frame_delay = 0
        self.last_tick = pygame.time.get_ticks()
        self.set_fps(desired_fps)
        self.current_fps = 0.0
        self.total_fps = 0
        self.total_time = 0
        
        
    def set_fps(self, desired_fps):
        if desired_fps:
            # @@@ ???
            self.fps_ticks = int((0.975 / desired_fps) * 1000)
        else:
            self.fps_ticks = 0
        self.desired_fps = desired_fps
        
        
    def tick(self):
        if self.fps_ticks:
            now = pygame.time.get_ticks()
            wait = self.fps_ticks - (now - self.last_tick)
            pygame.time.delay(wait)
            self.frame_delay += wait
        self.last_tick = pygame.time.get_ticks()
        
        # update current_fps
        
        self.frame_count += 1
        time = self.last_tick - self.frame_timer
        if time > 1000:
            time -= self.frame_delay
            if time:
                self.current_fps = self.frame_count / (time / 1000.0)
            else:
                self.current_fps = 0
            self.total_fps += self.current_fps
            self.total_time += 1
            self.frame_count = 0
            self.frame_delay = 0
            self.frame_timer = self.last_tick
            if self.do_report:
                self.report()
                
                
    def report(self):
        if self.current_fps:
            subst = 1.0 / self.current_fps, self.current_fps, self.total_fps / self.total_time
            print "AVG TIME: %.3f   FPS: %.2f  CUM AVG FPS: %.2f" % subst           
        else:
            subst = self.current_fps, self.total_fps / self.total_time
            print "AVG TIME:  inf    FPS: %.2f  CUM AVG FPS: %.2f" % subst           

